Distribution:	CCux
Packager:  	Christian Metzen <metzench@ccux-linux.de>

Summary:   	The GNU generic library support script.
Name:      	libtool
Version:  	2.4
Release:   	1
Epoch:		1
License: 	GNU/GPL
URL:		http://gnu.org
Group:     	System/Libraries
Source0: 	libtool-%{version}.tar.xz
BuildRoot: 	%{_tmppath}/%{name}-buildroot
Requires(post,preun): /sbin/install-info
BuildArch:	i686
BuildRequires:  automake >= 1.11.1

#Automatically resolved build dependencies
BuildRequires: glibc-devel

%description
The GNU generic library support script.
It wraps the complexity of using shared libraries in a consistent, portable interface.

%package devel
Summary: 	libtool development headers.
Group:     	Development/Libraries
Requires: 	libtool = %{epoch}:%{version}-%{release}

%description devel
Header and include files for developing applications with libtool.

%post
/sbin/install-info %{_infodir}/libtool.info.gz %{_infodir}/dir
ldconfig

%postun
ldconfig

%preun
if [ "$1" = 0 ]; then
    /sbin/install-info --del %{_infodir}/libtool.info.gz %{_infodir}/dir
fi


%prep
%setup -qn libtool-%{version}

%build

./bootstrap

export CC=gcc
export CXX=g++
export F77=gfortran
export CFLAGS="$RPM_OPT_FLAGS -fPIC"
# don't conflict with libtool-1.5, use own directory:
sed -e 's/pkgdatadir="\\${datadir}\/\$PACKAGE"/pkgdatadir="\\${datadir}\/\${PACKAGE}"/' configure > configure.tmp; mv -f configure.tmp configure; chmod a+x configure
./configure --prefix=%{_prefix} --exec-prefix=%{_prefix} --bindir=%{_bindir} --sbindir=%{_sbindir} --sysconfdir=%{_sysconfdir} --datadir=%{_datadir} --includedir=%{_includedir} --libdir=%{_libdir} --libexecdir=%{_libexecdir} --localstatedir=%{_localstatedir} --mandir=%{_mandir} --infodir=%{_infodir}
# build not smp safe:
make #%{?_smp_mflags}

%check
#make check VERBOSE=yes > make_check.log 2>&1 || (cat make_check.log && false)


%install
rm -rf %{buildroot}
make install DESTDIR=$RPM_BUILD_ROOT
rm -f %{buildroot}%{_infodir}/dir
rm -f %{buildroot}%{_libdir}/libltdl.la  %{buildroot}%{_libdir}/libltdl.a

%files
%defattr(-,root,root)
%doc AUTHORS COPYING NEWS README THANKS TODO ChangeLog*
%doc libltdl/COPYING.LIB libltdl/README
%{_infodir}/libtool.info*.gz
%{_bindir}/libtool
%{_bindir}/libtoolize
%{_aclocal}/argz.m4
%{_aclocal}/libtool.m4
%{_aclocal}/ltdl.m4
%{_aclocal}/lt~obsolete.m4
%{_aclocal}/ltoptions.m4
%{_aclocal}/ltsugar.m4
%{_aclocal}/ltversion.m4
%dir %{_datadir}/libtool
%{_datadir}/libtool
%{_libdir}/libltdl.so.*
%{_mandir}/man1/libtool.1.gz
%{_mandir}/man1/libtoolize.1.gz

%files devel
%defattr(-,root,root)
%{_datadir}/libtool/libltdl
%{_libdir}/libltdl.so
%{_includedir}/ltdl.h
%{_includedir}/libltdl

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Fri Sep 24 2010 Karsten Brockmann <arcam@ccux-linux.de> 1:2.4-1
- Version update
* Thu Jun 25 2009 Christian Metzen <metzench@ccux-linux.de> 1:2.2.6-2
- remove compat provide
* Thu Jun 25 2009 Christian Metzen <metzench@ccux-linux.de> 1:2.2.6-1
- Version update
* Fri Aug 01 2008 Christian Metzen <metzench@ccux-linux.de> 1:1.5.26-1
- Version update
* Sun Dec 09 2007 Karsten Brockmann <arcam@ccux-linux.de> 1:1.5.24-1
- downgrade due to diverse compatibility issues
* Thu Jan 25 2007 Christian Metzen <metzench@ccux-linux.de> 2.1a-2
- rebuild and redefined filelist cause of missing file
* Tue Jan 23 2007 Karsten Brockmann <arcam@ccux-linux.de> 2.1a-1
- Version update
- snapshot 2007-01-21
* Mon Dec 19 2005 Christian Metzen <metzench@ccux-linux.de> 1.5.22-1
- Version update
* Thu Sep 01 2005 Christian Metzen <metzench@ccux-linux.de> 1.5.20-1
- Version update
* Tue Jun 28 2005 Christian Metzen <metzench@ccux-linux.de> 1.5.18-1
- Version update, moved static files to devel package
* Tue Apr 26 2005 Christian Metzen <metzench@ccux-linux.de> 1.5.16-1
- Version Update to 1.5.16
